> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.specurate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Reorder Entries



## OpenAPI

````yaml /openapi.json post /v1/workspaces/{workspaceId}/collections/{id}/entries/reorder
openapi: 3.1.0
info:
  title: Specurate API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://app.specurate.com/api
    description: API Server
security: []
tags: []
paths:
  /v1/workspaces/{workspaceId}/collections/{id}/entries/reorder:
    post:
      tags:
        - Collections
      summary: Reorder Entries
      operationId: CollectionsController_reorderEntries_v1
      parameters:
        - name: workspaceId
          required: true
          in: path
          schema:
            type: string
            pattern: ^[1-9]\d*$
        - name: id
          required: true
          in: path
          schema:
            type: string
            pattern: ^[1-9]\d*$
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ReorderCollectionEntriesDto'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CollectionEntriesReorderResponseDto'
      security:
        - bearer: []
components:
  schemas:
    ReorderCollectionEntriesDto:
      type: object
      properties:
        items:
          minItems: 1
          maxItems: 1000
          type: array
          items:
            type: object
            properties:
              id:
                type: string
              version:
                type: integer
                exclusiveMinimum: 0
                maximum: 9007199254740991
            required:
              - id
              - version
            additionalProperties: false
        collectionVersion:
          type: integer
          exclusiveMinimum: 0
          maximum: 9007199254740991
      required:
        - items
        - collectionVersion
      additionalProperties: false
    CollectionEntriesReorderResponseDto:
      type: object
      properties:
        collectionVersion:
          type: number
      required:
        - collectionVersion
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````